Issues installing manjaro32 with manjaro-architect v0.9.17


#1

Hi @Chrysostomus,
it is not urgent, but the profiles for i686 aren’t up to date.

  • lxqt: qupzilla needs to be replaced by falkon
  • cli system:
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing gcc-libs (8.2.1+20180831-1.0) breaks dependency 'gcc-libs=8.2.1+20180831-1' required by gcc
==> ERROR: Failed to install packages to new root

#2

Another issue, probably very exotic, i686 with UEFI gives this:


                                   ┌── Error ─────┐
                                   │              │
                                   │ [grub-instal │
                                   │ l            │
                                   │ --target=x86 │
                                   │ _64-efi][1]  │
                                   │ grub-install │
                                   │ : error:     │
                                   │ /usr/lib/gru │
                                   │ b/x86_64-efi │
                                   │ /modinfo.sh  │
                                   │ doesn't      │
                                   │ exist.       │
                                   │ Please       │
                                   │ specify      │
                                   │ --target or  │
                                   │ --directory. │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   │              │
                                   ├──────────────┤
                                   │   <  OK  >   │
                                   └──────────────┘


#3

32bit is not supported yet. Probably not too hard to add support.

Okay, who maintains those? I can probably fix it, but I’m currently occupied and it might take a while.


#4

@fhdk, the LXQt profiles for i686 are still the old ones. It would be so cool if you found time to update them from the x86_64 ones! :hugs:


#5

There is no special profile for i686.

I guess setting architecture -a i686 would do the trick - but I don’t know.

Building a i686 ISO also requires build on 32-bit system as a 64-bit system has no access to i686 repo.

Maybe @jonathon need to do something, when he finds the time :slight_smile: ?


closed #6

This topic was automatically closed after 90 days. New replies are no longer allowed.